Bug 1123974 - GNU solfege bug window opens
Summary: GNU solfege bug window opens
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solfege
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 18:38 UTC by Peter H. Jones
Modified: 2016-07-19 11:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:58:48 UTC


Attachments (Terms of Use)

Description Peter H. Jones 2014-07-28 18:38:04 UTC
Description of problem:
Bug report window opens when using GNU solfege. Program appears to run normally.

Version-Release number of selected component (if applicable):
solfege-3.22.2-2.fc21.x86_64

How reproducible:
Every time


Steps to Reproduce:
1. solfege
2. Search exercises (maybe, I'm just learing how to use this program)
3.

Actual results:
Bug window

Expected results:
No bug

Additional info:

Console output:
"$ solfege
6.28049397469
all files parsed: 7.20974898338
/usr/share/solfege/solfege/gu.py:334: Warning: Source ID 195 was not found when attempting to remove it
  gobject.source_remove(self.__timeout)
Traceback (most recent call last):
  File "/usr/share/solfege/solfege/mainwin.py", line 607, in on_search_all_exercises
    self.add_view(SearchView(_('Search the exercise titles of all lesson files found by the program, not just the active front page with sub pages.')), 'searchview')
  File "/usr/share/solfege/solfege/esel.py", line 397, in __init__
    p = frontpage.parse_tree(page)
  File "/usr/share/solfege/solfege/frontpage.py", line 308, in parse_tree
    raise FrontPageException(str(e))
solfege.frontpage.FrontPageException: invalid syntax (<string>, line 4)
"

Comment 1 Jaroslav Reznik 2015-03-03 16:09:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:58:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.